//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Object {
/// <summary>
/// List of object models that can be created without any additional effort like making sure ytyp is loaded etc: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/ObjectList.ini
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x509D5878EB39E842<br />
/// </para>
/// </remarks>
public static int CreateObject(uint modelHash, float x, float y, float z, bool isNetwork, bool bScriptHostObj, bool dynamic){
return Function.Call<int>((Hash)0x509D5878EB39E842uL, modelHash, x, y, z, isNetwork, bScriptHostObj, dynamic);
}

/// <summary>
/// List of object models that can be created without any additional effort like making sure ytyp is loaded etc: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/ObjectList.ini
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9A294B2138ABB884<br />
/// </para>
/// </remarks>
public static int CreateObjectNoOffset(uint modelHash, float x, float y, float z, bool isNetwork, bool bScriptHostObj, bool dynamic){
return Function.Call<int>((Hash)0x9A294B2138ABB884uL, modelHash, x, y, z, isNetwork, bScriptHostObj, dynamic);
}

/// <summary>
/// Deletes the specified object, then sets the handle pointed to by the pointer to NULL.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x539E0AE3E6634B9F<br />
/// </para>
/// </remarks>
public static void DeleteObject(ref int /* Object* */ @object){
var nativeAssistPointerVar0 = @object;
unsafe {
Function.Call((Hash)0x539E0AE3E6634B9FuL, &nativeAssistPointerVar0);
}
@object = nativeAssistPointerVar0;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x58A850EAEE20FAA3<br />
/// </para>
/// </remarks>
public static bool PlaceObjectOnGroundProperly(int /* Object */ @object){
return Function.Call<bool>((Hash)0x58A850EAEE20FAA3uL, @object);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 505<br />
/// <b>Native ID:</b> 0xD76EEEF746057FD6<br />
/// </para>
/// </remarks>
public static bool PlaceObjectOnGroundOrObjectProperly(int /* Object */ @object){
return Function.Call<bool>((Hash)0xD76EEEF746057FD6uL, @object);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1734<br />
/// <b>Native ID:</b> 0xAFE24E4D29249E4A<br />
/// </para>
/// </remarks>
public static bool RotateObject(int /* Object */ @object, float p1, float p2, bool p3){
return Function.Call<bool>((Hash)0xAFE24E4D29249E4AuL, @object, p1, p2, p3);
}

/// <summary>
/// Returns true if the object has finished moving.<br /><br />If false, moves the object towards the specified X, Y and Z coordinates with the specified X, Y and Z speed.<br /><br />See also: https://gtagmodding.com/opcode-database/opcode/034E/<br />Has to be looped until it returns true.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2FDFF4107B8C1147<br />
/// </para>
/// </remarks>
public static bool SlideObject(int /* Object */ @object, float toX, float toY, float toZ, float speedX, float speedY, float speedZ, bool collision){
return Function.Call<bool>((Hash)0x2FDFF4107B8C1147uL, @object, toX, toY, toZ, speedX, speedY, speedZ, collision);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8A7391690F5AFD81<br />
/// </para>
/// </remarks>
public static void SetObjectTargettable(int /* Object */ @object, bool targettable){
Function.Call((Hash)0x8A7391690F5AFD81uL, @object, targettable);
}

/// <summary>
/// Overrides a flag on the object which determines if the object should be avoided by a vehicle in task CTaskVehicleGoToPointWithAvoidanceAutomobile.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x77F33F2CCF64B3AA<br />
/// </para>
/// </remarks>
public static void SetObjectForceVehiclesToAvoid(int /* Object */ @object, bool toggle){
Function.Call((Hash)0x77F33F2CCF64B3AAuL, @object, toggle);
}

/// <summary>
/// Has 8 params in the latest patches.<br /><br />isMission - if true doesn&apos;t return mission objects
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE143FA2249364369<br />
/// </para>
/// </remarks>
public static int GetClosestObjectOfType(float x, float y, float z, float radius, uint modelHash, bool isMission, bool p6, bool p7){
return Function.Call<int>((Hash)0xE143FA2249364369uL, x, y, z, radius, modelHash, isMission, p6, p7);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8ABFB70C49CC43E2<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool HasObjectBeenBroken(int /* Object */ @object, int /* bug: Any */ p1){
return Function.Call<bool>((Hash)0x8ABFB70C49CC43E2uL, @object, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x761B0E69AC4D007E<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool HasClosestObjectOfTypeBeenBroken(float p0, float p1, float p2, float p3, uint modelHash, int /* bug: Any */ p5){
return Function.Call<bool>((Hash)0x761B0E69AC4D007EuL, p0, p1, p2, p3, modelHash, p5);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x46494A2475701343<br />
/// </para>
/// </remarks>
public static bool HasClosestObjectOfTypeBeenCompletelyDestroyed(float x, float y, float z, float radius, uint modelHash, bool p5){
return Function.Call<bool>((Hash)0x46494A2475701343uL, x, y, z, radius, modelHash, p5);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1180<br />
/// <b>Native ID:</b> 0x2542269291C6AC84<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool GetHasObjectBeenCompletelyDestroyed(int /* bug: Any */ p0){
return Function.Call<bool>((Hash)0x2542269291C6AC84uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x163E252DE035A133<br />
/// </para>
/// </remarks>
public static Vector3 GetOffsetFromCoordAndHeadingInWorldCoords(float xPos, float yPos, float zPos, float heading, float xOffset, float yOffset, float zOffset){
return Function.Call<Vector3>((Hash)0x163E252DE035A133uL, xPos, yPos, zPos, heading, xOffset, yOffset, zOffset);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x163F8B586BC95F2A<br />
/// </para>
/// </remarks>
public static bool GetCoordsAndRotationOfClosestObjectOfType(float x, float y, float z, float radius, uint modelHash, ref Vector3 outPosition, ref Vector3 outRotation, int rotationOrder){
var nativeAssistPointerVar0 = outPosition;
var nativeAssistPointerVar1 = outRotation;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x163F8B586BC95F2AuL, x, y, z, radius, modelHash, &nativeAssistPointerVar0, &nativeAssistPointerVar1, rotationOrder);
}
outPosition = nativeAssistPointerVar0;
outRotation = nativeAssistPointerVar1;
return retVal;
}

/// <summary>
/// Hardcoded to not work in multiplayer.<br /><br /><br />Used to lock/unlock doors to interior areas of the game.<br /><br />(Possible) Door Types:<br /><br />https://pastebin.com/9S2m3qA4<br /><br />Heading is either 1, 0 or -1 in the scripts. Means default closed(0) or opened either into(1) or out(-1) of the interior.<br />Locked means that the heading is locked.  <br />p6 is always 0. <br /><br />225 door types, model names and coords found in stripclub.c4:<br />https://pastebin.com/gywnbzsH<br /><br />get door info: https://pastebin.com/i14rbekD
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF82D8F1926A02C3D<br />
/// </para>
/// </remarks>
public static void SetStateOfClosestDoorOfType(uint type, float x, float y, float z, bool locked, float heading, bool p6){
Function.Call((Hash)0xF82D8F1926A02C3DuL, type, x, y, z, locked, heading, p6);
}

/// <summary>
/// locked is 0 if no door is found<br />locked is 0 if door is unlocked<br />locked is 1 if door is found and unlocked.<br /><br />-------------<br />the locked bool is either 0(unlocked)(false) or 1(locked)(true)
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEDC1A5B84AEF33FF<br />
/// </para>
/// </remarks>
public static void GetStateOfClosestDoorOfType(uint type, float x, float y, float z, ref bool locked, ref float heading){
var nativeAssistPointerVar0 = locked;
var nativeAssistPointerVar1 = heading;
unsafe {
Function.Call((Hash)0xEDC1A5B84AEF33FFuL, type, x, y, z, &nativeAssistPointerVar0, &nativeAssistPointerVar1);
}
locked = nativeAssistPointerVar0;
heading = nativeAssistPointerVar1;
}

/// <summary>
/// Hardcoded not to work in multiplayer environments.<br />When you set locked to 0 the door open and to 1 the door close<br />OBJECT::SET_LOCKED_UNSTREAMED_IN_DOOR_OF_TYPE(${prop_gate_prison_01}, 1845.0, 2605.0, 45.0, 0, 0.0, 50.0, 0);  //door open<br /><br />OBJECT::SET_LOCKED_UNSTREAMED_IN_DOOR_OF_TYPE(${prop_gate_prison_01}, 1845.0, 2605.0, 45.0, 1, 0.0, 50.0, 0);  //door close
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9B12F9A24FABEDB0<br />
/// </para>
/// </remarks>
public static void SetLockedUnstreamedInDoorOfType(uint modelHash, float x, float y, float z, bool locked, float xRotMult, float yRotMult, float zRotMult){
Function.Call((Hash)0x9B12F9A24FABEDB0uL, modelHash, x, y, z, locked, xRotMult, yRotMult, zRotMult);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1868<br />
/// <b>Native ID:</b> 0x006E4B040ED37EC3<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void PlayObjectAutoStartAnim(int /* bug: Any */ p0){
Function.Call((Hash)0x006E4B040ED37EC3uL, p0);
}

/// <summary>
/// doorHash has to be unique. scriptDoor false; relies upon getNetworkGameScriptHandler. isLocal On true disables the creation CRequestDoorEvent&apos;s in DOOR_SYSTEM_SET_DOOR_STATE.<br />p5 only set to true in single player native scripts.<br />If scriptDoor is true, register the door on the script handler host (note: there&apos;s a hardcap on the number of script IDs that can be added to the system at a given time). If scriptDoor and isLocal are both false, the door is considered to be in a &quot;Persists w/o netobj&quot; state.<br /><br />door hashes normally look like PROP_[int]_DOOR_[int] for interior doors and PROP_BUILDING_[int]_DOOR_[int] exterior doors but you can just make up your own hash if you want<br />All doors need to be registered with ADD_DOOR_TO_SYSTEM before they can be manipulated with the door natives and the easiest way to get door models is just find the door in codewalker.<br /><br />Example: AddDoorToSystem(&quot;PROP_43_DOOR_0&quot;, &quot;hei_v_ilev_fh_heistdoor2&quot;, -1456.818, -520.5037, 69.67043, 0, 0, 0)
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6F8838D03D1DC226<br />
/// </para>
/// </remarks>
public static void AddDoorToSystem(uint doorHash, uint modelHash, float x, float y, float z, bool p5, bool scriptDoor, bool isLocal){
Function.Call((Hash)0x6F8838D03D1DC226uL, doorHash, modelHash, x, y, z, p5, scriptDoor, isLocal);
}

/// <summary>
/// CDoor and CDoorSystemData still internally allocated (and their associations between doorHash, modelHash, and coordinates).<br />Only its NetObj removed and flag ``*(v2 + 192) |= 8u`` (1604 retail) toggled.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x464D8E1427156FE4<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void RemoveDoorFromSystem(uint doorHash, int /* bug: Any */ p1){
Function.Call((Hash)0x464D8E1427156FE4uL, doorHash, p1);
}

/// <summary>
/// Lockstates not applied and CNetObjDoor&apos;s not created until DOOR_SYSTEM_GET_IS_PHYSICS_LOADED returns true.<br />`requestDoor` on true, and when door system is configured to, i.e., &quot;persists w/o netobj&quot;, generate a CRequestDoorEvent.<br />`forceUpdate` on true, forces an update on the door system (same path as netObjDoor_applyDoorStuff)<br />Door lock states:<br />0: UNLOCKED<br />1: LOCKED<br />2: DOORSTATE_FORCE_LOCKED_UNTIL_OUT_OF_AREA<br />3: DOORSTATE_FORCE_UNLOCKED_THIS_FRAME<br />4: DOORSTATE_FORCE_LOCKED_THIS_FRAME<br />5: DOORSTATE_FORCE_OPEN_THIS_FRAME<br />6: DOORSTATE_FORCE_CLOSED_THIS_FRAME
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6BAB9442830C7F53<br />
/// </para>
/// </remarks>
public static void DoorSystemSetDoorState(uint doorHash, int state, bool requestDoor, bool forceUpdate){
Function.Call((Hash)0x6BAB9442830C7F53uL, doorHash, state, requestDoor, forceUpdate);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x160AA1B32F6139B8<br />
/// </para>
/// </remarks>
public static int DoorSystemGetDoorState(uint doorHash){
return Function.Call<int>((Hash)0x160AA1B32F6139B8uL, doorHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4BC2854478F3A749<br />
/// </para>
/// </remarks>
public static int DoorSystemGetDoorPendingState(uint doorHash){
return Function.Call<int>((Hash)0x4BC2854478F3A749uL, doorHash);
}

/// <summary>
/// Includes networking check: ownership vs. or the door itself **isn&apos;t** networked.<br />`forceUpdate` on true invokes DOOR_SYSTEM_SET_DOOR_STATE otherwise requestDoor is unused.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x03C27E13B42A0E82<br />
/// </para>
/// </remarks>
public static void DoorSystemSetAutomaticRate(uint doorHash, float rate, bool requestDoor, bool forceUpdate){
Function.Call((Hash)0x03C27E13B42A0E82uL, doorHash, rate, requestDoor, forceUpdate);
}

/// <summary>
/// `forceUpdate` on true invokes DOOR_SYSTEM_SET_DOOR_STATE otherwise requestDoor is unused.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x9BA001CB45CBF627<br />
/// </para>
/// </remarks>
public static void DoorSystemSetAutomaticDistance(uint doorHash, float distance, bool requestDoor, bool forceUpdate){
Function.Call((Hash)0x9BA001CB45CBF627uL, doorHash, distance, requestDoor, forceUpdate);
}

/// <summary>
/// Sets the ajar angle of a door.<br />Ranges from -1.0 to 1.0, and 0.0 is closed / default.<br />`forceUpdate` on true invokes DOOR_SYSTEM_SET_DOOR_STATE otherwise requestDoor is unused.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB6E6FBA95C7324AC<br />
/// </para>
/// </remarks>
public static void DoorSystemSetOpenRatio(uint doorHash, float ajar, bool requestDoor, bool forceUpdate){
Function.Call((Hash)0xB6E6FBA95C7324ACuL, doorHash, ajar, requestDoor, forceUpdate);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1868<br />
/// <b>Native ID:</b> 0xE851471AEFC3374F<br />
/// </para>
/// </remarks>
public static float DoorSystemGetAutomaticDistance(uint doorHash){
return Function.Call<float>((Hash)0xE851471AEFC3374FuL, doorHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x65499865FCA6E5EC<br />
/// </para>
/// </remarks>
public static float DoorSystemGetOpenRatio(uint doorHash){
return Function.Call<float>((Hash)0x65499865FCA6E5ECuL, doorHash);
}

/// <summary>
/// Includes networking check: ownership vs. or the door itself **isn&apos;t** networked.<br />`forceUpdate` on true invokes DOOR_SYSTEM_SET_DOOR_STATE otherwise requestDoor is unused.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC485E07E4F0B7958<br />
/// </para>
/// </remarks>
public static void DoorSystemSetSpringRemoved(uint doorHash, bool removed, bool requestDoor, bool forceUpdate){
Function.Call((Hash)0xC485E07E4F0B7958uL, doorHash, removed, requestDoor, forceUpdate);
}

/// <summary>
/// Includes networking check: ownership vs. or the door itself **isn&apos;t** networked.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD9B71952F78A2640<br />
/// </para>
/// </remarks>
public static void DoorSystemSetHoldOpen(uint doorHash, bool toggle){
Function.Call((Hash)0xD9B71952F78A2640uL, doorHash, toggle);
}

/// <summary>
/// Some property related to gates. Native name between ``DOOR_SYSTEM_SET_AUTOMATIC_RATE`` and ``DOOR_SYSTEM_SET_DOOR_STATE``.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA85A21582451E951<br />
/// </para>
/// </remarks>
public static void DoorSystemSetDoorOpenForRaces(uint doorHash, bool p1){
Function.Call((Hash)0xA85A21582451E951uL, doorHash, p1);
}

/// <summary>
/// if (OBJECT::IS_DOOR_REGISTERED_WITH_SYSTEM(doorHash)) <br />{<br />    OBJECT::REMOVE_DOOR_FROM_SYSTEM(doorHash);<br />}
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC153C43EA202C8C1<br />
/// </para>
/// </remarks>
public static bool IsDoorRegisteredWithSystem(uint doorHash){
return Function.Call<bool>((Hash)0xC153C43EA202C8C1uL, doorHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC531EE8A1145A149<br />
/// </para>
/// </remarks>
public static bool IsDoorClosed(uint doorHash){
return Function.Call<bool>((Hash)0xC531EE8A1145A149uL, doorHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC7F29CA00F46350E<br />
/// </para>
/// </remarks>
public static void OpenAllBarriersForRace(bool p0){
Function.Call((Hash)0xC7F29CA00F46350EuL, p0);
}

/// <summary>
/// Clears the fields sets by 0xC7F29CA00F46350E (1604 retail: 0x1424A7A10, 0x1424A7A11) and iterates over the global CDoor&apos;s bucket-list.<br />Related to its &quot;Pre-networked state&quot;?
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x701FDA1E82076BA4<br />
/// </para>
/// </remarks>
public static void CloseAllBarriersForRace(){
Function.Call((Hash)0x701FDA1E82076BA4uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xDF97CDD4FC08FD34<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool DoorSystemGetIsPhysicsLoaded(int /* bug: Any */ p0){
return Function.Call<bool>((Hash)0xDF97CDD4FC08FD34uL, p0);
}

/// <summary>
/// Search radius: 0.5
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x589F80B325CC82C5<br />
/// </para>
/// </remarks>
public static bool DoorSystemFindExistingDoor(float x, float y, float z, uint modelHash, ref uint outDoorHash){
var nativeAssistPointerVar0 = outDoorHash;
bool retVal;
unsafe {
retVal = Function.Call<bool>((Hash)0x589F80B325CC82C5uL, x, y, z, modelHash, &nativeAssistPointerVar0);
}
outDoorHash = nativeAssistPointerVar0;
return retVal;
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x90E47239EA1980B8<br />
/// </para>
/// </remarks>
public static bool IsGarageEmpty(uint garageHash, bool p1, int p2){
return Function.Call<bool>((Hash)0x90E47239EA1980B8uL, garageHash, p1, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x024A60DEB0EA69F0<br />
/// </para>
/// </remarks>
public static bool IsPlayerEntirelyInsideGarage(uint garageHash, int /* Player */ player, float p2, int p3){
return Function.Call<bool>((Hash)0x024A60DEB0EA69F0uL, garageHash, player, p2, p3);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x1761DC5D8471CBAA<br />
/// </para>
/// </remarks>
public static bool IsPlayerPartiallyInsideGarage(uint garageHash, int /* Player */ player, int p2){
return Function.Call<bool>((Hash)0x1761DC5D8471CBAAuL, garageHash, player, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x85B6C850546FDDE2<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool AreEntitiesEntirelyInsideGarage(uint garageHash, bool p1, bool p2, bool p3, int /* bug: Any */ p4){
return Function.Call<bool>((Hash)0x85B6C850546FDDE2uL, garageHash, p1, p2, p3, p4);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x673ED815D6E323B7<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool IsAnyEntityEntirelyInsideGarage(uint garageHash, bool p1, bool p2, bool p3, int /* bug: Any */ p4){
return Function.Call<bool>((Hash)0x673ED815D6E323B7uL, garageHash, p1, p2, p3, p4);
}

/// <summary>
/// Despite the name, it does work for any entity type.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x372EF6699146A1E4<br />
/// </para>
/// </remarks>
public static bool IsObjectEntirelyInsideGarage(uint garageHash, int /* Entity */ entity, float p2, int p3){
return Function.Call<bool>((Hash)0x372EF6699146A1E4uL, garageHash, entity, p2, p3);
}

/// <summary>
/// Despite the name, it does work for any entity type.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF0EED5A6BC7B237A<br />
/// </para>
/// </remarks>
public static bool IsObjectPartiallyInsideGarage(uint garageHash, int /* Entity */ entity, int p2){
return Function.Call<bool>((Hash)0xF0EED5A6BC7B237AuL, garageHash, entity, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 678<br />
/// <b>Native ID:</b> 0xDA05194260CDCDF9<br />
/// </para>
/// </remarks>
public static void ClearGarage(uint garageHash, bool isNetwork){
Function.Call((Hash)0xDA05194260CDCDF9uL, garageHash, isNetwork);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x190428512B240692<br />
/// </para>
/// </remarks>
public static void ClearObjectsInsideGarage(uint garageHash, bool vehicles, bool peds, bool objects, bool isNetwork){
Function.Call((Hash)0x190428512B240692uL, garageHash, vehicles, peds, objects, isNetwork);
}

/// <summary>
/// Sets a flag. A valid id is 0x157DC10D
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1290<br />
/// <b>Native ID:</b> 0x659F9D71F52843F8<br />
/// </para>
/// </remarks>
public static void DisableTidyingUpInGarage(int id, bool toggle){
Function.Call((Hash)0x659F9D71F52843F8uL, id, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF2E1A7133DD356A6<br />
/// </para>
/// </remarks>
public static void EnableSavingInGarage(uint garageHash, bool toggle){
Function.Call((Hash)0xF2E1A7133DD356A6uL, garageHash, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x66A49D021870FE88<br />
/// </para>
/// </remarks>
public static void CloseSafehouseGarages(){
Function.Call((Hash)0x66A49D021870FE88uL);
}

/// <summary>
/// p5 is usually 0.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBFA48E2FF417213F<br />
/// </para>
/// </remarks>
public static bool DoesObjectOfTypeExistAtCoords(float x, float y, float z, float radius, uint hash, bool p5){
return Function.Call<bool>((Hash)0xBFA48E2FF417213FuL, x, y, z, radius, hash, p5);
}

/// <summary>
/// An angled area is an X-Z oriented rectangle with three parameters:<br />1. origin: the mid-point along a base edge of the rectangle;<br />2. extent: the mid-point of opposite base edge on the other Z;<br />3. width: the length of the base edge; (named derived from logging strings ``CNetworkRoadNodeWorldStateData``).<br /><br />The oriented rectangle can then be derived from the direction of the two points (``norm(origin - extent)``), its orthonormal, and the width, e.g:<br />1. golf_mp https://i.imgur.com/JhsQAK9.png<br />2. am_taxi https://i.imgur.com/TJWCZaT.jpg
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2A70BAE8883E4C81<br />
/// </para>
/// </remarks>
public static bool IsPointInAngledArea(float xPos, float yPos, float zPos, float x1, float y1, float z1, float x2, float y2, float z2, float width, bool debug, bool includeZ){
return Function.Call<bool>((Hash)0x2A70BAE8883E4C81uL, xPos, yPos, zPos, x1, y1, z1, x2, y2, z2, width, debug, includeZ);
}

/// <summary>
/// Overrides the climbing/blocking flags of the object, used in the native scripts mostly for &quot;prop_dock_bouy_*&quot;
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4D89D607CB3DD1D2<br />
/// </para>
/// </remarks>
public static void SetObjectAllowLowLodBuoyancy(int /* Object */ @object, bool toggle){
Function.Call((Hash)0x4D89D607CB3DD1D2uL, @object, toggle);
}

/// <summary>
/// Adjust the physics parameters of a prop, or otherwise known as &quot;object&quot;. This is useful for simulated gravity.<br /><br />Other parameters seem to be unknown.<br /><br />p2: seems to be weight and gravity related. Higher value makes the obj fall faster. Very sensitive?<br />p3: seems similar to p2<br />p4: makes obj fall slower the higher the value<br />p5: similar to p4
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF6DF6E90DE7DF90F<br />
/// </para>
/// </remarks>
public static void SetObjectPhysicsParams(int /* Object */ @object, float weight, float p2, float p3, float p4, float p5, float gravity, float p7, float p8, float p9, float p10, float buoyancy){
Function.Call((Hash)0xF6DF6E90DE7DF90FuL, @object, weight, p2, p3, p4, p5, gravity, p7, p8, p9, p10, buoyancy);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB6FBFD079B8D0596<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static float GetObjectFragmentDamageHealth(int /* bug: Any */ p0, bool p1){
return Function.Call<float>((Hash)0xB6FBFD079B8D0596uL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x406137F8EF90EAF5<br />
/// </para>
/// </remarks>
public static void SetActivateObjectPhysicsAsSoonAsItIsUnfrozen(int /* Object */ @object, bool toggle){
Function.Call((Hash)0x406137F8EF90EAF5uL, @object, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x397DC58FF00298D1<br />
/// </para>
/// </remarks>
public static bool IsAnyObjectNearPoint(float x, float y, float z, float range, bool p4){
return Function.Call<bool>((Hash)0x397DC58FF00298D1uL, x, y, z, range, p4);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8C90FE4B381BA60A<br />
/// </para>
/// </remarks>
public static bool IsObjectNearPoint(uint objectHash, float x, float y, float z, float range){
return Function.Call<bool>((Hash)0x8C90FE4B381BA60AuL, objectHash, x, y, z, range);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x4A39DB43E47CF3AA<br />
/// </para>
/// </remarks>
public static void RemoveObjectHighDetailModel(int /* Object */ @object){
Function.Call((Hash)0x4A39DB43E47CF3AAuL, @object);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xE7E4C198B0185900<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void BreakObjectFragmentChild(int /* Object */ p0, int /* bug: Any */ p1, bool p2){
Function.Call((Hash)0xE7E4C198B0185900uL, p0, p1, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1180<br />
/// <b>Native ID:</b> 0xE05F6AEEFEB0BB02<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void DamageObjectFragmentChild(int /* bug: Any */ p0, int /* bug: Any */ p1, int /* bug: Any */ p2){
Function.Call((Hash)0xE05F6AEEFEB0BB02uL, p0, p1, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF9C1681347C8BD15<br />
/// </para>
/// </remarks>
public static void FixObjectFragment(int /* Object */ @object){
Function.Call((Hash)0xF9C1681347C8BD15uL, @object);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB252BC036B525623<br />
/// </para>
/// </remarks>
public static void TrackObjectVisibility(int /* Object */ @object){
Function.Call((Hash)0xB252BC036B525623uL, @object);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8B32ACE6326A7546<br />
/// </para>
/// </remarks>
public static bool IsObjectVisible(int /* Object */ @object){
return Function.Call<bool>((Hash)0x8B32ACE6326A7546uL, @object);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xC6033D32241F6FB5<br />
/// </para>
/// </remarks>
public static void SetObjectIsSpecialGolfball(int /* Object */ @object, bool toggle){
Function.Call((Hash)0xC6033D32241F6FB5uL, @object, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xEB6F1A9B5510A5D2<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void SetObjectTakesDamageFromCollidingWithBuildings(int /* bug: Any */ p0, bool p1){
Function.Call((Hash)0xEB6F1A9B5510A5D2uL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1365<br />
/// <b>Native ID:</b> 0xABDABF4E1EDECBFA<br />
/// </para>
/// </remarks>
public static void AllowDamageEventsForNonNetworkedObjects(bool value){
Function.Call((Hash)0xABDABF4E1EDECBFAuL, value);
}

/// <summary>
/// Requires a component_at_*_flsh to be attached to the weapon object
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xBCE595371A5FBAAF<br />
/// </para>
/// </remarks>
public static void SetCutscenesWeaponFlashlightOnThisFrame(int /* Object */ @object, bool toggle){
Function.Call((Hash)0xBCE595371A5FBAAFuL, @object, toggle);
}

/// <summary>
/// Example:<br />OBJECT::GET_RAYFIRE_MAP_OBJECT(-809.9619750976562, 170.919, 75.7406997680664, 3.0, &quot;des_tvsmash&quot;);
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB48FCED898292E52<br />
/// </para>
/// </remarks>
public static int GetRayfireMapObject(float x, float y, float z, float radius, string name){
return Function.Call<int>((Hash)0xB48FCED898292E52uL, x, y, z, radius, name);
}

/// <summary>
/// Defines the state of a destructible object.<br />Use the GET_RAYFIRE_MAP_OBJECT native to find an object&apos;s handle with its name / coords.<br />State 2 == object just spawned<br />State 4 == Beginning of the animation<br />State 6 == Start animation<br />State 9 == End of the animation
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5C29F698D404C5E1<br />
/// </para>
/// </remarks>
public static void SetStateOfRayfireMapObject(int /* Object */ @object, int state){
Function.Call((Hash)0x5C29F698D404C5E1uL, @object, state);
}

/// <summary>
/// Get a destructible object&apos;s state.<br />Substract 1 to get the real state.<br />See SET_STATE_OF_RAYFIRE_MAP_OBJECT to see the different states<br />For example, if the object just spawned (state 2), the native will return 3.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x899BA936634A322E<br />
/// </para>
/// </remarks>
public static int GetStateOfRayfireMapObject(int /* Object */ @object){
return Function.Call<int>((Hash)0x899BA936634A322EuL, @object);
}

/// <summary>
/// Returns true if a destructible object with this handle exists, false otherwise.  
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x52AF537A0C5B8AAD<br />
/// </para>
/// </remarks>
public static bool DoesRayfireMapObjectExist(int /* Object */ @object){
return Function.Call<bool>((Hash)0x52AF537A0C5B8AADuL, @object);
}

/// <summary>
/// `object`: The des-object handle to get the animation progress from.<br />Return value is a float between 0.0 and 1.0, 0.0 is the beginning of the animation, 1.0 is the end. Value resets to 0.0 instantly after reaching 1.0.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x260EE4FDBDF4DB01<br />
/// </para>
/// </remarks>
public static float GetRayfireMapObjectAnimPhase(int /* Object */ @object){
return Function.Call<float>((Hash)0x260EE4FDBDF4DB01uL, @object);
}

/// <summary>
/// Full list of pickup types by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/pickupTypes.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xFBA08C503DD5FA58<br />
/// </para>
/// </remarks>
public static Pickup CreatePickup(uint pickupHash, float posX, float posY, float posZ, int p4, int value, bool p6, uint modelHash){
return Function.Call<Pickup>((Hash)0xFBA08C503DD5FA58uL, pickupHash, posX, posY, posZ, p4, value, p6, modelHash);
}

/// <summary>
/// flags:<br />8 (1 &lt;&lt; 3): place on ground<br />512 (1 &lt;&lt; 9): spin around<br /><br />Full list of pickup types by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/pickupTypes.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x891804727E0A98B7<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static Pickup CreatePickupRotate(uint pickupHash, float posX, float posY, float posZ, float rotX, float rotY, float rotZ, int flag, int amount, int /* bug: Any */ p9, bool p10, uint modelHash){
return Function.Call<Pickup>((Hash)0x891804727E0A98B7uL, pickupHash, posX, posY, posZ, rotX, rotY, rotZ, flag, amount, p9, p10, modelHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 944<br />
/// <b>Native ID:</b> 0x394CD08E31313C28<br />
/// </para>
/// </remarks>
public static void ForcePickupRotateFaceUp(){
Function.Call((Hash)0x394CD08E31313C28uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 505<br />
/// <b>Native ID:</b> 0x826D1EE4D1CAFC78<br />
/// </para>
/// </remarks>
public static void SetCustomPickupWeaponHash(uint pickupHash, Pickup pickup){
Function.Call((Hash)0x826D1EE4D1CAFC78uL, pickupHash, pickup);
}

/// <summary>
/// Full list of pickup types by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/pickupTypes.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x673966A0C0FD7171<br />
/// </para>
/// </remarks>
public static int CreateAmbientPickup(uint pickupHash, float posX, float posY, float posZ, int flags, int value, uint modelHash, bool p7, bool p8){
return Function.Call<int>((Hash)0x673966A0C0FD7171uL, pickupHash, posX, posY, posZ, flags, value, modelHash, p7, p8);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 2372<br />
/// <b>Native ID:</b> 0x9C93764223E29C50<br />
/// </para>
/// </remarks>
public static int CreateNonNetworkedAmbientPickup(uint pickupHash, float posX, float posY, float posZ, int flags, int value, uint modelHash, bool p7, bool p8){
return Function.Call<int>((Hash)0x9C93764223E29C50uL, pickupHash, posX, posY, posZ, flags, value, modelHash, p7, p8);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 573<br />
/// <b>Native ID:</b> 0x1E3F1B1B891A2AAA<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void BlockPlayersForAmbientPickup(int /* bug: Any */ p0, int /* bug: Any */ p1){
Function.Call((Hash)0x1E3F1B1B891A2AAAuL, p0, p1);
}

/// <summary>
/// Full list of pickup types by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/pickupTypes.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x2EAF1FDB2FB55698<br />
/// </para>
/// </remarks>
public static int CreatePortablePickup(uint pickupHash, float x, float y, float z, bool placeOnGround, uint modelHash){
return Function.Call<int>((Hash)0x2EAF1FDB2FB55698uL, pickupHash, x, y, z, placeOnGround, modelHash);
}

/// <summary>
/// Full list of pickup types by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/pickupTypes.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x125494B98A21AAF7<br />
/// </para>
/// </remarks>
public static int CreateNonNetworkedPortablePickup(uint pickupHash, float x, float y, float z, bool placeOnGround, uint modelHash){
return Function.Call<int>((Hash)0x125494B98A21AAF7uL, pickupHash, x, y, z, placeOnGround, modelHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x8DC39368BDD57755<br />
/// </para>
/// </remarks>
public static void AttachPortablePickupToPed(int /* Object */ pickupObject, int /* Ped */ ped){
Function.Call((Hash)0x8DC39368BDD57755uL, pickupObject, ped);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xCF463D1E9A0AECB1<br />
/// </para>
/// </remarks>
public static void DetachPortablePickupFromPed(int /* Object */ pickupObject){
Function.Call((Hash)0xCF463D1E9A0AECB1uL, pickupObject);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 2545<br />
/// <b>Native ID:</b> 0x5CE2E45A5CE2E45A<br />
/// </para>
/// </remarks>
public static void ForcePortablePickupLastAccessiblePositionSetting(int /* Object */ @object){
Function.Call((Hash)0x5CE2E45A5CE2E45AuL, @object);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 463<br />
/// <b>Native ID:</b> 0x867458251D47CCB2<br />
/// </para>
/// </remarks>
public static void HidePortablePickupWhenDetached(int /* Object */ pickupObject, bool toggle){
Function.Call((Hash)0x867458251D47CCB2uL, pickupObject, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0BF3B3BD47D79C08<br />
/// </para>
/// </remarks>
public static void SetMaxNumPortablePickupsCarriedByPlayer(uint modelHash, int number){
Function.Call((Hash)0x0BF3B3BD47D79C08uL, modelHash, number);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x78857FC65CADB909<br />
/// </para>
/// </remarks>
public static void SetLocalPlayerCanCollectPortablePickups(bool toggle){
Function.Call((Hash)0x78857FC65CADB909uL, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x6E16BC2503FF1FF0<br />
/// </para>
/// </remarks>
public static Vector3 GetSafePickupCoords(float x, float y, float z, float p3, float p4){
return Function.Call<Vector3>((Hash)0x6E16BC2503FF1FF0uL, x, y, z, p3, p4);
}

/// <summary>
/// Adds an area that seems to be related to pickup physics behavior.<br />Max amount of areas is 10. Only works in multiplayer.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1290<br />
/// <b>Native ID:</b> 0xD4A7A435B3710D05<br />
/// </para>
/// </remarks>
public static void AddExtendedPickupProbeArea(float x, float y, float z, float radius){
Function.Call((Hash)0xD4A7A435B3710D05uL, x, y, z, radius);
}

/// <summary>
/// Clears all areas created by ADD_EXTENDED_PICKUP_PROBE_AREA
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1290<br />
/// <b>Native ID:</b> 0xB7C6D80FB371659A<br />
/// </para>
/// </remarks>
public static void ClearExtendedPickupProbeAreas(){
Function.Call((Hash)0xB7C6D80FB371659AuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x225B8B35C88029B3<br />
/// </para>
/// </remarks>
public static Vector3 GetPickupCoords(Pickup pickup){
return Function.Call<Vector3>((Hash)0x225B8B35C88029B3uL, pickup);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1180<br />
/// <b>Native ID:</b> 0x8DCA505A5C196F05<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void SuppressPickupSoundForPickup(int /* bug: Any */ p0, int /* bug: Any */ p1){
Function.Call((Hash)0x8DCA505A5C196F05uL, p0, p1);
}

/// <summary>
/// Full list of pickup types by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/pickupTypes.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x27F9D613092159CF<br />
/// </para>
/// </remarks>
public static void RemoveAllPickupsOfType(uint pickupHash){
Function.Call((Hash)0x27F9D613092159CFuL, pickupHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x80EC48E6679313F9<br />
/// </para>
/// </remarks>
public static bool HasPickupBeenCollected(Pickup pickup){
return Function.Call<bool>((Hash)0x80EC48E6679313F9uL, pickup);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3288D8ACAECD2AB2<br />
/// </para>
/// </remarks>
public static void RemovePickup(Pickup pickup){
Function.Call((Hash)0x3288D8ACAECD2AB2uL, pickup);
}

/// <summary>
/// Spawns one or more money pickups.<br /><br />x: The X-component of the world position to spawn the money pickups at.<br />y: The Y-component of the world position to spawn the money pickups at.<br />z: The Z-component of the world position to spawn the money pickups at.<br />value: The combined value of the pickups (in dollars).<br />amount: The number of pickups to spawn.<br />model: The model to use, or 0 for default money model.<br /><br />Example:<br />CREATE_MONEY_PICKUPS(x, y, z, 1000, 3, 0x684a97ae);<br /><br />Spawns 3 spray cans that&apos;ll collectively give $1000 when picked up. (Three spray cans, each giving $334, $334, $332 = $1000).<br /><br />==============================================<br /><br />Max is 2000 in MP. So if you put the amount to 20, but the value to $400,000 eg. They will only be able to pickup 20 - $2,000 bags. So, $40,000
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0589B5E791CE9B2B<br />
/// </para>
/// </remarks>
public static void CreateMoneyPickups(float x, float y, float z, int value, int amount, uint model){
Function.Call((Hash)0x0589B5E791CE9B2BuL, x, y, z, value, amount, model);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xAFC1CA75AD4074D1<br />
/// </para>
/// </remarks>
public static bool DoesPickupExist(Pickup pickup){
return Function.Call<bool>((Hash)0xAFC1CA75AD4074D1uL, pickup);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xD9EFB6DBF7DAAEA3<br />
/// </para>
/// </remarks>
public static bool DoesPickupObjectExist(int /* Object */ pickupObject){
return Function.Call<bool>((Hash)0xD9EFB6DBF7DAAEA3uL, pickupObject);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5099BC55630B25AE<br />
/// </para>
/// </remarks>
public static int GetPickupObject(Pickup pickup){
return Function.Call<int>((Hash)0x5099BC55630B25AEuL, pickup);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1365<br />
/// <b>Native ID:</b> 0xFC481C641EBBD27D<br />
/// </para>
/// </remarks>
public static bool IsObjectAPickup(int /* Object */ @object){
return Function.Call<bool>((Hash)0xFC481C641EBBD27DuL, @object);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x0378C08504160D0D<br />
/// </para>
/// </remarks>
public static bool IsObjectAPortablePickup(int /* Object */ @object){
return Function.Call<bool>((Hash)0x0378C08504160D0DuL, @object);
}

/// <summary>
/// Full list of pickup types by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/pickupTypes.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF9C36251F6E48E33<br />
/// </para>
/// </remarks>
public static bool DoesPickupOfTypeExistInArea(uint pickupHash, float x, float y, float z, float radius){
return Function.Call<bool>((Hash)0xF9C36251F6E48E33uL, pickupHash, x, y, z, radius);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x78015C9B4B3ECC9D<br />
/// </para>
/// </remarks>
public static void SetPickupRegenerationTime(Pickup pickup, int duration){
Function.Call((Hash)0x78015C9B4B3ECC9DuL, pickup, duration);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1011<br />
/// <b>Native ID:</b> 0x758A5C1B3B1E1990<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void ForcePickupRegenerate(int /* bug: Any */ p0){
Function.Call((Hash)0x758A5C1B3B1E1990uL, p0);
}

/// <summary>
/// Disabling/enabling a player from getting pickups. From the scripts:<br /><br />OBJECT::SET_PLAYER_PERMITTED_TO_COLLECT_PICKUPS_OF_TYPE(PLAYER::PLAYER_ID(), ${pickup_portable_package}, 0);<br />OBJECT::SET_PLAYER_PERMITTED_TO_COLLECT_PICKUPS_OF_TYPE(PLAYER::PLAYER_ID(), ${pickup_portable_package}, 0);<br />OBJECT::SET_PLAYER_PERMITTED_TO_COLLECT_PICKUPS_OF_TYPE(PLAYER::PLAYER_ID(), ${pickup_portable_package}, 1);<br />OBJECT::SET_PLAYER_PERMITTED_TO_COLLECT_PICKUPS_OF_TYPE(PLAYER::PLAYER_ID(), ${pickup_portable_package}, 0);<br />OBJECT::SET_PLAYER_PERMITTED_TO_COLLECT_PICKUPS_OF_TYPE(PLAYER::PLAYER_ID(), ${pickup_armour_standard}, 0);<br />OBJECT::SET_PLAYER_PERMITTED_TO_COLLECT_PICKUPS_OF_TYPE(PLAYER::PLAYER_ID(), ${pickup_armour_standard}, 1);<br /><br />Full list of pickup types by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/pickupTypes.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x616093EC6B139DD9<br />
/// </para>
/// </remarks>
public static void SetPlayerPermittedToCollectPickupsOfType(int /* Player */ player, uint pickupHash, bool toggle){
Function.Call((Hash)0x616093EC6B139DD9uL, player, pickupHash, toggle);
}

/// <summary>
/// Maximum amount of pickup models that can be disallowed is 30.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x88EAEC617CD26926<br />
/// </para>
/// </remarks>
public static void SetLocalPlayerPermittedToCollectPickupsWithModel(uint modelHash, bool toggle){
Function.Call((Hash)0x88EAEC617CD26926uL, modelHash, toggle);
}

/// <summary>
/// Full list of pickup types by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/pickupTypes.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1734<br />
/// <b>Native ID:</b> 0xFDC07C58E8AAB715<br />
/// </para>
/// </remarks>
public static void AllowAllPlayersToCollectPickupsOfType(uint pickupHash){
Function.Call((Hash)0xFDC07C58E8AAB715uL, pickupHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x53E0DF1A2A3CF0CA<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void SetTeamPickupObject(int /* Object */ @object, int /* bug: Any */ p1, bool p2){
Function.Call((Hash)0x53E0DF1A2A3CF0CAuL, @object, p1, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x92AEFB5F6E294023<br />
/// </para>
/// </remarks>
public static void PreventCollectionOfPortablePickup(int /* Object */ @object, bool p1, bool p2){
Function.Call((Hash)0x92AEFB5F6E294023uL, @object, p1, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 2372<br />
/// <b>Native ID:</b> 0x27F248C3FEBFAAD3<br />
/// </para>
/// </remarks>
public static void SetPickupObjectGlowWhenUncollectable(Pickup pickup, bool toggle){
Function.Call((Hash)0x27F248C3FEBFAAD3uL, pickup, toggle);
}

/// <summary>
/// p1 is always 0.51. This native is called before SET_PICKUP_REGENERATION_TIME in all occurances.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 505<br />
/// <b>Native ID:</b> 0x0596843B34B95CE5<br />
/// </para>
/// </remarks>
public static void SetPickupGlowOffset(Pickup pickup, float p1){
Function.Call((Hash)0x0596843B34B95CE5uL, pickup, p1);
}

/// <summary>
/// p1 is always -0.2 in scripts and p2 is always true in scripts.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA08FE5E49BDC39DD<br />
/// </para>
/// </remarks>
public static void SetPickupObjectGlowOffset(Pickup pickup, float p1, bool p2){
Function.Call((Hash)0xA08FE5E49BDC39DDuL, pickup, p1, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 678<br />
/// <b>Native ID:</b> 0x62454A641B41F3C5<br />
/// </para>
/// </remarks>
public static void SetObjectGlowInSameTeam(Pickup pickup){
Function.Call((Hash)0x62454A641B41F3C5uL, pickup);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 678<br />
/// <b>Native ID:</b> 0x39A5FB7EAF150840<br />
/// </para>
/// </remarks>
public static void SetPickupObjectArrowMarker(Pickup pickup, bool toggle){
Function.Call((Hash)0x39A5FB7EAF150840uL, pickup, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 2372<br />
/// <b>Native ID:</b> 0x834344A414C7C85D<br />
/// </para>
/// </remarks>
public static void AllowPickupArrowMarkerWhenUncollectable(Pickup pickup, bool toggle){
Function.Call((Hash)0x834344A414C7C85DuL, pickup, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xDB41D07A45A6D4B7<br />
/// </para>
/// </remarks>
public static int GetDefaultAmmoForWeaponPickup(uint pickupHash){
return Function.Call<int>((Hash)0xDB41D07A45A6D4B7uL, pickupHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x318516E02DE3ECE2<br />
/// </para>
/// </remarks>
public static void SetPickupGenerationRangeMultiplier(float multiplier){
Function.Call((Hash)0x318516E02DE3ECE2uL, multiplier);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 944<br />
/// <b>Native ID:</b> 0xB3ECA65C7317F174<br />
/// </para>
/// </remarks>
public static float GetPickupGenerationRangeMultiplier(){
return Function.Call<float>((Hash)0xB3ECA65C7317F174uL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x31F924B53EADDF65<br />
/// </para>
/// </remarks>
public static void SetOnlyAllowAmmoCollectionWhenLow(bool p0){
Function.Call((Hash)0x31F924B53EADDF65uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 757<br />
/// <b>Native ID:</b> 0x1C1B69FAE509BA97<br />
/// </para>
/// </remarks>
public static void SetPickupUncollectable(Pickup pickup, bool toggle){
Function.Call((Hash)0x1C1B69FAE509BA97uL, pickup, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 757<br />
/// <b>Native ID:</b> 0x858EC9FD25DE04AA<br />
/// </para>
/// </remarks>
public static void SetPickupTransparentWhenUncollectable(Pickup pickup, bool toggle){
Function.Call((Hash)0x858EC9FD25DE04AAuL, pickup, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 757<br />
/// <b>Native ID:</b> 0x3ED2B83AB2E82799<br />
/// </para>
/// </remarks>
public static void SetPickupHiddenWhenUncollectable(Pickup pickup, bool toggle){
Function.Call((Hash)0x3ED2B83AB2E82799uL, pickup, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 678<br />
/// <b>Native ID:</b> 0x8881C98A31117998<br />
/// </para>
/// </remarks>
public static void SetPickupObjectTransparentWhenUncollectable(Pickup pickup, bool toggle){
Function.Call((Hash)0x8881C98A31117998uL, pickup, toggle);
}

/// <summary>
/// p0 is either 0 or 50 in scripts.
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 757<br />
/// <b>Native ID:</b> 0x8CFF648FBD7330F1<br />
/// </para>
/// </remarks>
public static void SetPickupObjectAlphaWhenTransparent(int p0){
Function.Call((Hash)0x8CFF648FBD7330F1uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 877<br />
/// <b>Native ID:</b> 0x46F3ADD1E2D5BAF2<br />
/// </para>
/// </remarks>
public static void SetPortablePickupPersist(Pickup pickup, bool toggle){
Function.Call((Hash)0x46F3ADD1E2D5BAF2uL, pickup, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 877<br />
/// <b>Native ID:</b> 0x641F272B52E2F0F8<br />
/// </para>
/// </remarks>
public static void AllowPortablePickupToMigrateToNonParticipants(Pickup pickup, bool toggle){
Function.Call((Hash)0x641F272B52E2F0F8uL, pickup, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1180<br />
/// <b>Native ID:</b> 0x4C134B4DF76025D0<br />
/// </para>
/// </remarks>
public static void ForceActivatePhysicsOnUnfixedPickup(Pickup pickup, bool toggle){
Function.Call((Hash)0x4C134B4DF76025D0uL, pickup, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1180<br />
/// <b>Native ID:</b> 0xAA059C615DE9DD03<br />
/// </para>
/// </remarks>
public static void AllowPickupByNoneParticipant(Pickup pickup, bool toggle){
Function.Call((Hash)0xAA059C615DE9DD03uL, pickup, toggle);
}

/// <summary>
/// enum ePickupRewardType<br />{<br />    PICKUP_REWARD_TYPE_AMMO = (1 &lt;&lt; 0),<br />    PICKUP_REWARD_TYPE_BULLET_MP = (1 &lt;&lt; 1),<br />    PICKUP_REWARD_TYPE_MISSILE_MP = (1 &lt;&lt; 2),<br />    PICKUP_REWARD_TYPE_GRENADE_LAUNCHER_MP = (1 &lt;&lt; 3),<br />    PICKUP_REWARD_TYPE_ARMOUR = (1 &lt;&lt; 4),<br />    PICKUP_REWARD_TYPE_HEALTH = (1 &lt;&lt; 5),<br />    PICKUP_REWARD_TYPE_HEALTH_VARIABLE = PICKUP_REWARD_TYPE_HEALTH,<br />    PICKUP_REWARD_TYPE_MONEY_FIXED = (1 &lt;&lt; 6),<br />    PICKUP_REWARD_TYPE_MONEY_VARIABLE = PICKUP_REWARD_TYPE_MONEY_FIXED,<br />    PICKUP_REWARD_TYPE_WEAPON = (1 &lt;&lt; 7),<br />    PICKUP_REWARD_TYPE_STAT = (1 &lt;&lt; 8),<br />    PICKUP_REWARD_TYPE_STAT_VARIABLE = PICKUP_REWARD_TYPE_STAT,<br />    PICKUP_REWARD_TYPE_VEHICLE_FIX = (1 &lt;&lt; 9),<br />    PICKUP_REWARD_TYPE_FIREWORK_MP = (1 &lt;&lt; 10),<br />};
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF92099527DB8E2A7<br />
/// </para>
/// </remarks>
public static void SuppressPickupRewardType(int rewardType, bool suppress){
Function.Call((Hash)0xF92099527DB8E2A7uL, rewardType, suppress);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xA2C1F5E92AFE49ED<br />
/// </para>
/// </remarks>
public static void ClearAllPickupRewardTypeSuppression(){
Function.Call((Hash)0xA2C1F5E92AFE49EDuL);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x762DB2D380B48D04<br />
/// </para>
/// </remarks>
public static void ClearPickupRewardTypeSuppression(int rewardType){
Function.Call((Hash)0x762DB2D380B48D04uL, rewardType);
}

/// <summary>
/// draws circular marker at pos<br />-1 = none<br />0 = red<br />1 = green<br />2 = blue<br />3 = green larger<br />4 = nothing<br />5 = green small
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x3430676B11CDF21D<br />
/// </para>
/// </remarks>
public static void RenderFakePickupGlow(float x, float y, float z, int colorIndex){
Function.Call((Hash)0x3430676B11CDF21DuL, x, y, z, colorIndex);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1734<br />
/// <b>Native ID:</b> 0x7813E8B8C4AE4799<br />
/// </para>
/// </remarks>
public static void SetPickupObjectCollectableInVehicle(Pickup pickup){
Function.Call((Hash)0x7813E8B8C4AE4799uL, pickup);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1290<br />
/// <b>Native ID:</b> 0xBFFE53AE7E67FCDC<br />
/// </para>
/// </remarks>
public static void SetPickupTrackDamageEvents(Pickup pickup, bool toggle){
Function.Call((Hash)0xBFFE53AE7E67FCDCuL, pickup, toggle);
}

/// <summary>
/// Sets entity+38 to C (when false) or 0xFF3f (when true)
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1180<br />
/// <b>Native ID:</b> 0xD05A3241B9A86F19<br />
/// </para>
/// </remarks>
public static void SetEntityFlagSuppressShadow(int /* Entity */ entity, bool toggle){
Function.Call((Hash)0xD05A3241B9A86F19uL, entity, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xB2D0BDE54F0E8E5A<br />
/// </para>
/// </remarks>
public static void SetEntityFlagRenderSmallShadow(int /* Object */ @object, bool toggle){
Function.Call((Hash)0xB2D0BDE54F0E8E5AuL, @object, toggle);
}

/// <summary>
/// Full list of pickup types by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/pickupTypes.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x08F96CA6C551AD51<br />
/// </para>
/// </remarks>
public static uint GetWeaponTypeFromPickupType(uint pickupHash){
return Function.Call<uint>((Hash)0x08F96CA6C551AD51uL, pickupHash);
}

/// <summary>
/// Returns the pickup hash for the given weapon hash
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1290<br />
/// <b>Native ID:</b> 0xD6429A016084F1A5<br />
/// </para>
/// </remarks>
public static uint GetPickupTypeFromWeaponHash(uint weaponHash){
return Function.Call<uint>((Hash)0xD6429A016084F1A5uL, weaponHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x11D1E53A726891FE<br />
/// </para>
/// </remarks>
public static bool IsPickupWeaponObjectValid(int /* Object */ @object){
return Function.Call<bool>((Hash)0x11D1E53A726891FEuL, @object);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 757<br />
/// <b>Native ID:</b> 0xE84EB93729C5F36A<br />
/// </para>
/// </remarks>
public static int GetObjectTintIndex(int /* Object */ @object){
return Function.Call<int>((Hash)0xE84EB93729C5F36AuL, @object);
}

/// <summary>
/// enum ObjectPaintVariants<br />{<br /> Pacific = 0,<br />  Azure = 1,<br />    Nautical = 2,<br /> Continental = 3,<br />  Battleship = 4,<br />   Intrepid = 5,<br /> Uniform = 6,<br />  Classico = 7,<br /> Mediterranean = 8,<br />    Command = 9,<br />  Mariner = 10,<br /> Ruby = 11,<br />    Vintage = 12,<br /> Pristine = 13,<br />    Merchant = 14,<br />    Voyager = 15<br />};
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x971DA0055324D033<br />
/// </para>
/// </remarks>
public static void SetObjectTintIndex(int /* Object */ @object, int textureVariation){
Function.Call((Hash)0x971DA0055324D033uL, @object, textureVariation);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1103<br />
/// <b>Native ID:</b> 0xF12E33034D887F66<br />
/// </para>
/// </remarks>
public static bool SetTintIndexClosestBuildingOfType(float x, float y, float z, float radius, uint modelHash, int textureVariation){
return Function.Call<bool>((Hash)0xF12E33034D887F66uL, x, y, z, radius, modelHash, textureVariation);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 2189<br />
/// <b>Native ID:</b> 0x31574B1B41268673<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void SetPropTintIndex(int /* bug: Any */ p0, int /* bug: Any */ p1){
Function.Call((Hash)0x31574B1B41268673uL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1493<br />
/// <b>Native ID:</b> 0x5F048334B4A4E774<br />
/// </para>
/// </remarks>
public static bool SetPropLightColor(int /* Object */ @object, bool p1, int r, int g, int b){
return Function.Call<bool>((Hash)0x5F048334B4A4E774uL, @object, p1, r, g, b);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1604<br />
/// <b>Native ID:</b> 0xADF084FB8F075D06<br />
/// </para>
/// </remarks>
public static bool IsPropLightOverriden(int /* Object */ @object){
return Function.Call<bool>((Hash)0xADF084FB8F075D06uL, @object);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 757<br />
/// <b>Native ID:</b> 0x3B2FD68DB5F8331C<br />
/// </para>
/// </remarks>
public static void SetObjectIsVisibleInMirrors(int /* Object */ @object, bool toggle){
Function.Call((Hash)0x3B2FD68DB5F8331CuL, @object, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 791<br />
/// <b>Native ID:</b> 0x96EE0EBA0163DF80<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void SetObjectSpeedBoostAmount(int /* Object */ @object, int /* bug: Any */ p1){
Function.Call((Hash)0x96EE0EBA0163DF80uL, @object, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 791<br />
/// <b>Native ID:</b> 0xDF6CA0330F2E737B<br />
/// </para>
/// </remarks>
public static void SetObjectSpeedBoostDuration(int /* Object */ @object, float duration){
Function.Call((Hash)0xDF6CA0330F2E737BuL, @object, duration);
}

/// <summary>
/// returns pickup hash.<br /><br />Full list of pickup types by DurtyFree: https://github.com/DurtyFree/gta-v-data-dumps/blob/master/pickupTypes.json
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0x5EAAD83F8CFB4575<br />
/// </para>
/// </remarks>
public static uint ConvertOldPickupTypeToNew(uint pickupHash){
return Function.Call<uint>((Hash)0x5EAAD83F8CFB4575uL, pickupHash);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xF538081986E49E9D<br />
/// </para>
/// </remarks>
public static void SetForceObjectThisFrame(float x, float y, float z, float p3){
Function.Call((Hash)0xF538081986E49E9DuL, x, y, z, p3);
}

/// <summary>
/// is this like setting is as no longer needed?
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 323<br />
/// <b>Native ID:</b> 0xADBE4809F19F927A<br />
/// </para>
/// </remarks>
public static void OnlyCleanUpObjectWhenOutOfRange(int /* Object */ @object){
Function.Call((Hash)0xADBE4809F19F927AuL, @object);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1011<br />
/// <b>Native ID:</b> 0x8CAAB2BD3EA58BD4<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void SetDisableCollisionsBetweenCarsAndCarParachute(int /* bug: Any */ p0){
Function.Call((Hash)0x8CAAB2BD3EA58BD4uL, p0);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1365<br />
/// <b>Native ID:</b> 0x63ECF581BC70E363<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static void SetProjectilesShouldExplodeOnContact(int /* Entity */ entity, int /* bug: Any */ p1){
Function.Call((Hash)0x63ECF581BC70E363uL, entity, p1);
}

/// <summary>
/// Activate the physics to: &quot;xs_prop_arena_{flipper,wall,bollard,turntable,pit}&quot;
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1604<br />
/// <b>Native ID:</b> 0x911024442F4898F0<br />
/// </para>
/// </remarks>
public static void SetDriveArticulatedJoint(int /* Object */ @object, bool toggle, int p2){
Function.Call((Hash)0x911024442F4898F0uL, @object, toggle, p2);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1604<br />
/// <b>Native ID:</b> 0xB20834A7DD3D8896<br />
/// </para>
/// </remarks>
public static void SetDriveArticulatedJointWithInflictor(int /* Object */ @object, bool toggle, int p2, int /* Ped */ ped){
Function.Call((Hash)0xB20834A7DD3D8896uL, @object, toggle, p2, ped);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1604<br />
/// <b>Native ID:</b> 0x734E1714D077DA9A<br />
/// </para>
/// </remarks>
public static void SetObjectIsAPressurePlate(int /* Object */ @object, bool toggle){
Function.Call((Hash)0x734E1714D077DA9AuL, @object, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1604<br />
/// <b>Native ID:</b> 0x1A6CBB06E2D0D79D<br />
/// </para>
/// </remarks>
public static void SetWeaponImpactsApplyGreaterForce(int /* Object */ @object, bool p1){
Function.Call((Hash)0x1A6CBB06E2D0D79DuL, @object, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1604<br />
/// <b>Native ID:</b> 0x43C677F1E1158005<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool GetIsArticulatedJointAtMinAngle(int /* Object */ @object, int /* bug: Any */ p1){
return Function.Call<bool>((Hash)0x43C677F1E1158005uL, @object, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1604<br />
/// <b>Native ID:</b> 0x3BD770D281982DB5<br />There were parameter(s) that was labeled as <b>Any</b>, and these had been written as <c>int</c> by generator.
/// </para>
/// </remarks>
public static bool GetIsArticulatedJointAtMaxAngle(int /* bug: Any */ p0, int /* bug: Any */ p1){
return Function.Call<bool>((Hash)0x3BD770D281982DB5uL, p0, p1);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1604<br />
/// <b>Native ID:</b> 0x1C57C94A6446492A<br />
/// </para>
/// </remarks>
public static void SetIsObjectArticulated(int /* Object */ @object, bool toggle){
Function.Call((Hash)0x1C57C94A6446492AuL, @object, toggle);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Object<br />
/// <b>From Build:</b> 1604<br />
/// <b>Native ID:</b> 0xB5B7742424BD4445<br />
/// </para>
/// </remarks>
public static void SetIsObjectBall(int /* Object */ @object, bool toggle){
Function.Call((Hash)0xB5B7742424BD4445uL, @object, toggle);
}

}}
